Last Comment Bug 651079 - Use addLoadEvent instead of <body onload=""> in content/html/content/tests/
: Use addLoadEvent instead of <body onload=""> in content/html/content/tests/
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla6
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-19 04:27 PDT by Mounir Lamouri (:mounir)
Modified: 2011-04-22 06:32 PDT (History)
1 user (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (7.07 KB, patch)
2011-04-19 04:27 PDT, Mounir Lamouri (:mounir)
no flags Details | Diff | Review
Patch v2 (24.52 KB, patch)
2011-04-19 04:38 PDT, Mounir Lamouri (:mounir)
ehsan: review+
Details | Diff | Review

Description Mounir Lamouri (:mounir) 2011-04-19 04:27:57 PDT
Created attachment 526953 [details] [diff] [review]
Patch v1
Comment 1 Mounir Lamouri (:mounir) 2011-04-19 04:38:40 PDT
Created attachment 526957 [details] [diff] [review]
Patch v2

With even more of those.
Though, it's really not important.
Comment 2 :Ehsan Akhgari (busy, don't ask for review please) 2011-04-19 15:36:06 PDT
Hmm, the onload property should work just as good as a callback passed to addLoadEvent.  I'm not sure what is the purpose behind these patches.
Comment 3 Mounir Lamouri (:mounir) 2011-04-19 16:13:14 PDT
(In reply to comment #2)
> Hmm, the onload property should work just as good as a callback passed to
> addLoadEvent.  I'm not sure what is the purpose behind these patches.

It's much more a clean-up than a QA improvement: I think having the onload in <body> is much more hard to parse than a addLoadEvent that should usually be at the beginning or at the end of the <script> section.
Comment 4 :Ehsan Akhgari (busy, don't ask for review please) 2011-04-20 11:08:03 PDT
Comment on attachment 526957 [details] [diff] [review]
Patch v2

OK, fair enough.
Comment 5 Mounir Lamouri (:mounir) 2011-04-22 06:32:12 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/1ebe64a0f85f

Note You need to log in before you can comment on or make changes to this bug.